org.apache.lucene.search.grouping

## Class GroupDocs<T>

- java.lang.Object
- - org.apache.lucene.search.grouping.GroupDocs<T>

-     public class GroupDocs<T>
      extends Object

  Represents one group in the results.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Object[]` | `groupSortValues` Matches the groupSort passed to `FirstPassGroupingCollector`.
    `T` | `groupValue` The groupField value for all docs in this group; this may be null if hits did not have the groupField.
    `float` | `maxScore` Max score in this group
    `float` | `score` Overall aggregated score of this group (currently only set by join queries).
    `ScoreDoc[]` | `scoreDocs` Hits; this may be `FieldDoc` instances if the withinGroupSort sorted by fields.
    `TotalHits` | `totalHits` Total hits within this group

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupDocs(float score, float maxScore, TotalHits totalHits, ScoreDoc[] scoreDocs, T groupValue, Object[] groupSortValues)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### groupValue

          public final T groupValue

      The groupField value for all docs in this group; this may be null if hits did not have the groupField.

    - #### maxScore

          public final float maxScore

      Max score in this group

    - #### score

          public final float score

      Overall aggregated score of this group (currently only set by join queries).

    - #### scoreDocs

          public final ScoreDoc[] scoreDocs

      Hits; this may be `FieldDoc` instances if the withinGroupSort sorted by fields.

    - #### totalHits

          public final TotalHits totalHits

      Total hits within this group

    - #### groupSortValues

          public final Object[] groupSortValues

      Matches the groupSort passed to `FirstPassGroupingCollector`.

  - ### Constructor Detail

    - #### GroupDocs

          public GroupDocs(float score,
                           float maxScore,
                           TotalHits totalHits,
                           ScoreDoc[] scoreDocs,
                           T groupValue,
                           Object[] groupSortValues)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.